Bug 102624 - Deleting Article in upgraded Postgres gives referential integrity violation
Summary: Deleting Article in upgraded Postgres gives referential integrity violation
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Gregorovic
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 102007
TreeView+ depends on / blocked
 
Reported: 2003-08-18 22:51 UTC by Jon Orris
Modified: 2007-04-18 16:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 17:01:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CCM Log with RDBMSEngine = debug (605.04 KB, text/plain)
2003-08-18 22:52 UTC, Jon Orris
no flags Details
Debugging log on Troika database (687.34 KB, text/plain)
2003-08-18 23:06 UTC, Jon Orris
no flags Details

Description Jon Orris 2003-08-18 22:51:04 UTC
Description of problem:
Create an Article.
Add text to the body.
Add an Image.
Finish authoring.

Upgrade to troika.
Try to delete the article

2003-08-18 18:47:28,633 [002-3] ERROR rdbms.RDBMSEngine - delete from acs_objects
where acs_objects.object_id = ?
java.sql.SQLException: ERROR:  audited_acs_object_id_fk referential integrity
violation - key in acs_objects still referenced from acs_auditing

	at org.postgresql.core.QueryExecutor.execute(QueryExecutor.java(Compiled Code))
	at
org.postgresql.jdbc1.AbstractJdbc1Connection.ExecSQL(AbstractJdbc1Connection.java:505)
	at
org.postgresql.jdbc1.AbstractJdbc1Statement.execute(AbstractJdbc1Statement.java:320)
	at
org.postgresql.jdbc2.AbstractJdbc2Statement.execute(AbstractJdbc2Statement.java:48)
	at com.arsdigita.db.PreparedStatement.doExecute(PreparedStatement.java:213)
	at com.arsdigita.db.PreparedStatement.execute(PreparedStatement.java:184)
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java(Compiled
Code))
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java(Inlined
Compiled Code))
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.flush(RDBMSEngine.java(Compiled
Code))
	at com.redhat.persistence.Session.flushInternal(Session.java(Compiled Code))
	at com.redhat.persistence.Session.flush(Session.java:497)
	at com.arsdigita.persistence.DataObjectImpl.delete(DataObjectImpl.java:356)
	at com.arsdigita.domain.DomainObject.delete(DomainObject.java:324)
	at
com.arsdigita.cms.ui.folder.FolderBrowser$ItemDeleter.cellSelected(FolderBrowser.java:335)

Comment 1 Jon Orris 2003-08-18 22:52:17 UTC
Created attachment 93734 [details]
CCM Log with RDBMSEngine = debug

debugging level for RDBMS Engine just before delete attempt.

Comment 2 Jon Orris 2003-08-18 23:06:36 UTC
Created attachment 93735 [details]
Debugging log on Troika database

Same log level as prior log, RDBMSEngine = debug just before delete.
This is on a normal Troika database, and the delete works fine.

Comment 3 Jon Orris 2003-08-18 23:22:33 UTC
Verified again that delete works on an upgraded Oracle instance.


Comment 4 Dennis Gregorovic 2005-03-17 17:01:51 UTC
closing old tickets


Note You need to log in before you can comment on or make changes to this bug.